"""create table for shortened_urls

Revision ID: 4d2c8a75d9c4
Revises: 0001
Create Date: 2023-05-26 12:34:56

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '4d2c8a75d9c4'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'shortened_urls',
        sa.Column('id', sa.String(36), primary_key=True, default=func.uuid_generate_v4()),
        sa.Column('original_url', sa.String(), nullable=False),
        sa.Column('shortened_url', sa.String(), nullable=False, unique=True),
        sa.Column('user_id', sa.String(36), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )
    op.create_index(op.f('ix_shortened_urls_shortened_url'), 'shortened_urls', ['shortened_url'], unique=True)

def downgrade():
    op.drop_index(op.f('ix_shortened_urls_shortened_url'), table_name='shortened_urls')
    op.drop_table('shortened_urls')